#
# $Id$
#
# Used if virtual name != real name (perl, ...) - replace hash by percent in the below line
#define srcname	pusk

Summary:        PUSK is the ProLiant USB Setup Key
Summary(fr):    french bla-bla

Name:           pusk
Version:        0.9.7
Release:        1.rhel6
License:        PBLIC
Group:          PBGRP
Url:            http://pusk.project-builder.org
Source:         ftp://ftp.project-builder.org//src/%{name}-%{version}.tar.gz
#PBPATCHSRC
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(id -u -n)
Requires:       syslinux,kpartx,dosfstools,squashfs-tools

%description
The ProLiant USB Setup Key help ProLiant administrators to configure their server
without any keyboard, mouse and screen attached thanks to a USB key configured before attaching it to the server.
The server is configured as a master on which the capture has been done, and the hardware configured identically, then the server is powered off, ready to be used via its iLO.
The only requirements is that the server has to be pluged to the power, and the iLO to the network.

%description -l fr
french desc

%prep
%setup -q
# Used if virtual name != real name (perl, ...)
#%setup -q -n %{srcname}-%{version}
#PBPATCHCMD

%build
%configure
make %{?_smp_mflags}

%install
%{__rm} -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog
%doc INSTALL COPYING README AUTHORS NEWS
%doc PUSK.odt PUSK.odp
%config %{_sysconfdir}/*.conf
%config %{_sysconfdir}/yum.repos.d/*.repo
%{_bindir}/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*

%changelog
* Thu May 16 2013 Bruno Cornec <bruno@project-builder.org> 0.9.7-1
- Updated to 0.9.7
- Renew build system to use project-builder.org (Bruno Cornec)
- Adds Gen8 supoprt with hp-rcu (Jean-Marc André)

* Sat May 12 2012 Bruno Cornec <bruno@project-builder.org> 0.9.6-1
- Updated to 0.9.6
- First public version (Jean-Marc André/Bruno Cornec)



